#!/bin/sh
HOST="192.168.1.2"
USERNAME=postgres
DBNAME=test
#PASSWORD=
#EXTARGS="-n"
PGBENCH="/usr/local/pgsql/bin/pgbench"
ODIR="output_pg"

#----
ARGS=""
if [ "x$EXTARGS" != "x" ]; then ARGS="$ARGS $EXTARGS" ; fi
if [ "x$HOST" != "x" ]; then ARGS="$ARGS -h $HOST" ; fi
if [ "x$USERNAME" != "x" ]; then ARGS="$ARGS -U $USERNAME" ; fi
if [ "x$PASSWORD" != "x" ]; then ARGS="$ARGS -P $PASSWORD" ; fi

echo "ARGS=$ARGS"

#=======================
name="$1"

if [ "x$name" = "x" ]; then
  echo "$0 name"
  exit
fi

echo "==== $name ===="

if [ ! -d $ODIR ]; then
   mkdir $ODIR
fi
if [ ! -d $ODIR ]; then
   echo "$ODIR dir error"
   exit
exit
fi

#=======================
#for t in 10 20 40 80 160 320 640 1024
for t in 40
do
   for c in 1 10 25 50 75 100 150 200 250 300 400 500 750 1000
   do
      echo "======== $t $c ========"
      $PGBENCH -i $ARGS $DBNAME

      a=`printf '%s_t%04d_c%04d' $name $t $c`
      $PGBENCH $ARGS -c $c -t $t $DBNAME > $ODIR/$a
   done
done
